//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "interval.h"
#include "box.h"
#include "repere.h"
#include "iboolean.h"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// Composants grs par l'EDI
        TImage *Image1;
        TImage *Image2;
        TImage *Image3;
        TImage *Image4;
        TTrackBar *TrackBar1;
        TMemo *Memo1;
        TImage *Image5;
        TButton *ButtonTestCase2;
        TButton *ButtonTestCase1;
        void __fastcall ButtonTestCase1Click(TObject *Sender);
        void __fastcall TrackBar1Change(TObject *Sender);
        void __fastcall ButtonTestCase2Click(TObject *Sender);
private:	// Dclarations utilisateur
public:		// Dclarations utilisateur
        __fastcall TForm1(TComponent* Owner);
        void TForm1::Init();
        void TForm1::Draw_robot(repere& R, double x,double y,double theta);
        void readdata();
        void TForm1::DrawRoom(repere& R);
        void TForm1::Contract_Traj();
        void TForm1::Contract_Map();
        void TForm1::Contract_Pose(int k);
        void TForm1::Contract_Pose2(int k);
        void TForm1::Contract_All_Poses();

        repere R1,R_map,R_traj,R_pose,R_error;
        int testcase;
        interval noise;
        box P0;
        vector <double> u1,u2,x,y,theta,v,d;
        vector <interval> X,Y,Theta,V;
        int N_cercles,N_murs,k_current,k_max,k_file;
        double eps;
        vector<double> murs_xa,murs_xb,murs_ya,murs_yb;
        vector<double> cercles_x,cercles_y,cercles_r;
        paving Map;
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
